Javaエンジニア、Ruby on Railsでアプリを作る

整理券アプリを作成中です

過去バージョンのXcodeの入手方法

前回の続き。 makeコマンドが無かったのでXcodeと付属のコマンドラインツールをインストールしようとしたときの話。

yucatio.hatenablog.com

開発環境

症状

最新のXcodeがダウンロードできない

最新のXcodeはAppStoreからダウンロードできますが、Xcodeを選択してインストール開始したところ、バージョン非対応エラー。そうですよね、こんな古いMacに対応してませんよね。

f:id:yucatio:20160516081911p:plain

対応

さて、ここで選択肢は2つ。

  1. OSをバージョンアップする
  2. 過去バージョンのXcodeを探してインストールする

OSバージョンアップをするべきだとは思うのですが、今まで動いていたアプリが動かなくなるという懸念があるので、今回は見送りました。

過去バージョンのXcodeをダウンロードする

こちらのリンクから探すことが可能です。Xcodeで検索します。詳細を表示して対応バージョンを確認します。

https://developer.apple.com/downloads/?=xcode

バージョン 5.1.1がOS X バージョン 10.8.4(Mountain Lion)に対応しているのでこちらをダウンロードします

f:id:yucatio:20160516083308p:plain

インストールできました

f:id:yucatio:20160516084806p:plain